kio Library: KOpenWithDlg Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KOpenWithDlg Class Reference

"Open with" dialog box. More...

`#include <kopenwith.h>`

Inheritance diagram for KOpenWithDlg:

[legend]
Collaboration diagram for KOpenWithDlg:

[legend]
List of all members.

## Public Slots
void | slotClear ()
void | slotSelected (const QString &_name, const QString &_exec)
void | slotHighlighted (const QString &_name, const QString &_exec)
void | slotTextChanged ()
void | slotTerminalToggled (bool)
void | slotDbClick ()
void | slotOK ()
## Public Member Functions
| KOpenWithDlg (const KURL::List &urls, QWidget *parent=0L)
| KOpenWithDlg (const KURL::List &urls, const QString &text, const QString &value, QWidget *parent=0L)
| KOpenWithDlg (const QString &serviceType, const QString &value, QWidget *parent=0L)
| KOpenWithDlg (QWidget *parent=0L)
| ~KOpenWithDlg ()
QString | text () const
void | hideNoCloseOnExit ()
void | hideRunInTerminal ()
KService::Ptr | service () const
void | setSaveNewApplications (bool b)
## Protected Slots
virtual void | accept ()
## Protected Member Functions
void | setServiceType (const KURL::List &_urls)
void | init (const QString &text, const QString &value)
## Protected Attributes
KURLRequester * | edit
QString | m_command
KApplicationTree * | m_pTree
QLabel * | label
QString | qName
QString | qServiceType
bool | m_terminaldirty
QCheckBox * | terminal
QCheckBox * | remember
QCheckBox * | nocloseonexit
QPushButton * | UNUSED
QPushButton * | UNUSED2
KService::Ptr | m_pService
KOpenWithDlgPrivate * | d

## Detailed Description

"Open with" dialog box.

Used automatically by KRun, and used by libkonq.

Author:
  David Faure <faure@kde.org>

Definition at line 46 of file kopenwith.h.

## Constructor & Destructor Documentation

KOpenWithDlg::KOpenWithDlg | ( | const KURL::List & | urls,
|  | QWidget * | parent = `0L`
| ) |

  | Create a dialog that asks for a application to open a given URL(s) with. Parameters:
  | urls | the URLs that should be opened. The list can be empty, if the dialog is used to choose an application but not for some particular URLs.
  | parent | parent widget
Definition at line 340 of file kopenwith.cpp. References QString::arg(), init(), and setServiceType().

KOpenWithDlg::KOpenWithDlg | ( | const KURL::List & | urls,
|  | const QString & | text,
|  | const QString & | value,
|  | QWidget * | parent = `0L`
| ) |

  | Create a dialog that asks for a application to open a given URL(s) with. Parameters:
  | urls | is the URL that should be opened
  | text | appears as a label on top of the entry box.
  | value | is the initial value of the line
  | parent | parent widget
Definition at line 358 of file kopenwith.cpp. References KStringHandler::csqueeze(), QString::fromLatin1(), init(), and setServiceType().

KOpenWithDlg::KOpenWithDlg | ( | const QString & | serviceType,
|  | const QString & | value,
|  | QWidget * | parent = `0L`
| ) |

  | Create a dialog to select a service for a given service type. Note that this dialog doesn't apply to URLs. Parameters:
  | serviceType | the service type we want to choose an application for.
  | value | is the initial value of the line
  | parent | parent widget
Definition at line 370 of file kopenwith.cpp. References QString::arg(), and init().

KOpenWithDlg::KOpenWithDlg | ( | QWidget * | parent = `0L` | ) |

  | Create a dialog to select an application Note that this dialog doesn't apply to URLs. Parameters:
  | parent | parent widget
Since: 3.1 Definition at line 384 of file kopenwith.cpp. References init().

KOpenWithDlg::~KOpenWithDlg | ( |  | ) |

| Destructor. Definition at line 550 of file kopenwith.cpp.

## Member Function Documentation

QString KOpenWithDlg::text | ( |  | ) | const

| Returns: the text the user entered Definition at line 807 of file kopenwith.cpp. References QString::isEmpty(), and KURLRequester::url. Referenced by KRun::displayOpenWithDialog(), and KFileOpenWithHandler::displayOpenWithDialog().

void KOpenWithDlg::hideNoCloseOnExit | ( |  | ) |

| Hide the "Do not &close when command exits" Checkbox. Definition at line 815 of file kopenwith.cpp. References QCheckBox::setChecked(). Referenced by hideRunInTerminal().

void KOpenWithDlg::hideRunInTerminal | ( |  | ) |

| Hide the "Run in &terminal" Checkbox. Definition at line 822 of file kopenwith.cpp. References hideNoCloseOnExit().

KService::Ptr KOpenWithDlg::service | ( |  | ) | const`[inline]`

| Returns: the chosen service in the application tree Can be null, if the user typed some text and didn't select a service. Definition at line 114 of file kopenwith.h. Referenced by KRun::displayOpenWithDialog(), and KFileOpenWithHandler::displayOpenWithDialog().

void KOpenWithDlg::setSaveNewApplications | ( | bool | b | ) |

| Set whether a new .desktop file should be created if the user selects an application for which no corresponding .desktop file can be found. Regardless of this setting a new .desktop file may still be created if the user has chosen to remember the file association. The default is false: no .desktop files are created. Since: 3.2 Definition at line 620 of file kopenwith.cpp.

void KOpenWithDlg::slotClear | ( |  | ) | `[slot]`

| The slot for clearing the edit widget. Definition at line 558 of file kopenwith.cpp. References KURLRequester::setURL(). Referenced by init().

void KOpenWithDlg::accept | ( |  | ) | `[protected, virtual, slot]`

| Reimplemented from QDialog::accept() to save history of the combobox. Reimplemented from QDialog. Definition at line 828 of file kopenwith.cpp. References QDialog::accept(), KHistoryCombo::addToHistory(), KURLRequester::comboBox(), KCompletionBase::completionMode(), KGlobal::config(), KHistoryCombo::historyItems, KConfigBase::sync(), KURLRequester::url, and KConfigBase::writeEntry().

void KOpenWithDlg::setServiceType | ( | const KURL::List & | _urls | ) | `[protected]`

| Determine service type from URLs. Definition at line 395 of file kopenwith.cpp. References KMimeType::findByURL(). Referenced by KOpenWithDlg().

void KOpenWithDlg::init | ( | const QString & | text,
|  | const QString & | value
| ) | `[protected]`

  | Create a dialog that asks for a application to open a given URL(s) with. Parameters:
  | text | appears as a label on top of the entry box.
  | value | is the initial value of the line
Definition at line 407 of file kopenwith.cpp. References QWhatsThis::add(), QToolTip::add(), KButtonBox::addButton(), QBoxLayout::addItem(), QBoxLayout::addLayout(), KButtonBox::addStretch(), QBoxLayout::addWidget(), KURLRequester::button(), KURLRequester::comboBox(), KGlobal::config(), QString::isNull(), KButtonBox::layout(), KURLRequester::lineEdit(), KConfigBase::readListEntry(), KConfigBase::readNumEntry(), KConfigBase::readPathEntry(), QDialog::reject(), KCompletionBase::setAutoDeleteCompletionObject(), QCheckBox::setChecked(), KCompletionBase::setCompletionMode(), KCompletionBase::setCompletionObject(), QPushButton::setDefault(), QComboBox::setDuplicatesEnabled(), KHistoryCombo::setHistoryItems(), QToolButton::setIconSet(), QComboBox::setMaxCount(), KLineEdit::setReadOnly(), KURLRequester::setURL(), and slotClear(). Referenced by KOpenWithDlg().

The documentation for this class was generated from the following files:

- kopenwith.h
- kopenwith.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003